   Help for Finger

Properties 	Events 	Methods

Registration Information

Order Form

Getting Custom Controls Written

Description

Finger allows you retrieve information about hosts or users from a selected host and works in conjunction with GetHost for address resolution.

File Name

FINGER32.OCX

Compatibility

VB 4.0

Remarks

Many times it becomes important for you to query a host to determine a user’s address or read information about a user’s account (e.g., last time logged on, if mail is available, etc.).  The Finger application protocol allows you to query remote hosts to read information about a user on a remote host.  The Finger control implements the Finger protocol so that you may easily query remote hosts for information about the host’s users.

Distribution Note     When you develop and distribute an application that uses Finger, you should install the file FINGER32.OCX into the user’s Windows SYSTEM directory.  Finger has version information built into it.  So, during installation, you should ensure that you are not overwriting a newer version of Finger.


Finger Events

Events that have special meaning for this control or that only apply to this control are marked with an asterisk (*).

*EndGetFingerInformation Event


Finger Methods

Methods that have special meaning for this control or that only apply to this control are marked with an asterisk (*).

*AboutBox Method

*GetFingerInformation Method


Finger Properties

Properties that have special meaning for this control or that only apply to this control are marked with an asterisk (*).

*Action Property

*CurrentState Property

*ErrorNumber Property

*HostAddress Property

*FingerRequest Property

*Version Property


AboutBox Method

Description

Displays the About box for the control.

Syntax

[form.][control.]AboutBox()

Remarks

This method displays the about box for this control to display copyright information.


GetFingerInformation Method

Description

Gets Finger data from specified server.

Syntax

[form.][control.]GetFingerInformation( string1, string2 )

Part	Description
string1	A string containing the address of the host to which the Finger query is to be made.
string2	A string containing the Finger query to be made to the remote host.

Remarks

This method retrieves Finger information from a remote host as a blocking mode operation. The Finger response information is returned as a string to the caller.


See Also

Properties:

Action

CurrentState

ErrorNumber

Events:

EndGetFingerInformation

Errors:

Values


HostAddress Property

See Also

Description

Finger requests information from the host with this IP address.

Usage

[form.][control.]HostAddress[ = string ]

Remarks

The HostAddress member contains the IP address of the host from which the Finger information is being requested. The Internet address (a.k.a., IP address) is provided as aaa.bbb.ccc.ddd where each alpha character represents the numeric address of the host for which the name is being requested.  For instance, 199.117.41.151 is the toupin.com host IP address.

Data Type

String


See Also

Properties:

CurrentState

ErrorNumber

Events:

EndGetFingerInformation

Methods:

GetFingerInformation

Errors:

Values


Action Property

See Also

Description

Makes Finger perform or stop an action

Usage

[form.][control.]Action[  = integer ]

Remarks

When Action is set to REQUEST_INFORMATION the value of  FingerRequest is used to query the host specified in HostAddress. When the operation for this property has completed, a notification is sent via the EndGetFingerInformation event procedure.

Setting Action to CANCEL_REQUEST will cancel all currently executing operations.

Value	Description

1	REQUEST_INFORMATION

2	CANCEL_REQUEST

Data Type

Integer (enumerated)


See Also

Properties:

CurrentState

ErrorNumber

Events:

EndGetFingerInformation

Methods:

GetFingerInformation

Errors:

Values


CurrentState Property

See Also

Description

Reflects the state of the current operation.

Usage

[form.][control.]CurrentState

Remarks

This property contains the state of the currently executing operation.  The following values are the states that the control goes through during execution.

Value	Description

1	Connecting

2	Sending request

3	Waiting for response

4	Receiving information

5	Waiting for action

Data Type

Integer (enumerated)


See Also

Properties:

Action

ErrorNumber

Events:

EndGetFingerInformation

Methods:

GetFingerInformation

Errors:

Values


EndGetFingerInformation Event

Description

This event procedure is fired upon the completion of the Finger request retrieval.

Syntax

Sub ctlname_EndGetFingerInformation (ByVal FingerInformation  As String, ByVal ErrorNumber As Integer)

Remarks

This procedure is passed the corresponding information retrieved from the remote Finger host and the error value resulting from the operation. If an error occurs, an error code will appear in ErrorNumber and a NULL string will appear in FingerInformation.  If successful, the procedure supplies the textual Finger information and ErrorNumber is 0.


See Also

Properties:

Action

CurrentState

ErrorNumber

Methods:

GetFingerInformation

Errors:

Values


ErrorNumber Property

See Also

Description

Reflects the last error that occured during operation.

Usage

[form.][control.]ErrorNumber

Remarks

This property contains the last error that occured as the result of an error encountered during a send or receive operation.

Data Type

Integer (enumerated)


See Also

Properties:

Action

CurrentState

Events:

EndGetFingerInformation

Methods:

GetFingerInformation

Errors:

Values


FingerRequest Property

See Also

Description

Holds the name, host name, or general string about which Finger should retrieve information.

Usage

[form.][control.]FingerRequest[ = string ]

Remarks

The FingerRequest member contains the information you wish to request.  This information can be the last name of a user such as Smith, JSmith, James, or variations thereof.

Data Type

String


See Also

Properties:

Action

CurrentState

ErrorNumber

Events:

EndGetFingerInformation

Methods:

GetFingerInformation

Errors:

Values


Version Property

Description

Shows the version of the control.

Usage

[form.][control.]Version

Remarks

This property holds the current version of the control.  It is read-only and available at both design-time and run-time.

Data Type

String


Registration Information

Credits

Finger was written by Edward B. Toupin.  He can be reached on CompuServe at 75051,1160 or on Internet at etoupin@toupin.com.

Inquiries, tech support, comments should be sent to Mabry Software.  Our address is 71231,2066 on CompuServe, or mabry@halcyon.com on Internet.  If you need to send something via U.S. Mail, the address is:

Mabry Software, Inc.

Post Office Box 31926

Seattle, WA  98103-1926

Registration

You can register this program by sending $20 ($25 for international orders) and your address.  You can register Finger and its C++ source code by sending $50 ($55 for international orders).  With your order, you will receive a copy of our manual documenting all of the Internet Pack controls.

For your convenience, an order form has been provided that you can print out directly from this help file.

E-mail Discount

You may take a $5 discount for e-mail delivery of this package (CompuServe or Internet).  If you choose this option, please note: a printed manual is not included.  Be sure to include your full mailing address with your order.  Sometimes (on the Internet) the package cannot be e-mailed.  So, we are forced to send it through the normal mails.

CompuServe members may also take the $5 e-mail discount by registering this package in the software registration forum (GO SWREG).  Finger’ SWREG ID number is 6392.  The source code version's ID number is 9059.

Credit Card Orders

We accept VISA and Mastercard.  If you e-mail your order to us, please be sure to include your card number, expiration date, complete mailing address, and your phone number (in case we have any questions about your order).

© Copyright 1995-1996 by Mabry Software, Inc.


Order Form
 Finger Order Form

Use the Print Topic.. command from the File menu to print this order form.

Mail this	Mabry Software, Inc.

form to:	Post Office Box 31926

Seattle, WA  98103-1926

Phone: 206-634-1443

Fax: 206-632-0272

BBS: WinDev BBS 206-634-0783

CompuServe: 71231,2066

Internet: mabry@halcyon.com

Where did you get this copy of Finger?

____________________________________________________________________

Ship to:	____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

Phone:	_________________________________________________________________

Fax:	_________________________________________________________________

E-Mail:	_________________________________________________________________

MC/VISA:	_________________________________________ exp. ___________________

qty ordered	____	REGISTRATION

$20 each, postpaid (check or money order in U.S. currency drawn on a U.S. bank). Outside of North America add $5.00 shipping.

qty ordered	____	SOURCE CODE AND REGISTRATION

$50 each, postpaid (check or money order in U.S. currency drawn on a U.S. bank). Outside of North America add $5.00 shipping.


Getting Custom Controls Written

If you or your organization would like to have custom controls written, you can contact us at the following:

Mabry Software, Inc.

Post Office Box 31926

Seattle, WA  98103-1926

Phone: 206-634-1443

Fax: 206-632-0272

BBS: WinDev BBS 206-634-0783

CompuServe: 71231,2066

Internet: mabry@halcyon.com

You can also contact Zane Thomas.  He can be reached at:

Zane Thomas

Post Office Box 300

Indianola, WA  98342

CompuServe: 72060,3327


ErrorNumber Property Values

0	OK	Socket operation okay or timeout.
4	SOCK_INTR	System level interrupt interrupted socket operation.
9	SOCK_BAD	Generic error for invalid format, bad format.
13	SOCK_ACCESS	Generic error for access violation.
14	SOCK_FAULT	Generic error for fault.
22	SOCK_INVALID	Generic error for invalid format, entry, etc.
24	SOCK_FILE	Generic error for file error.
25	SOCK_BADDR	The IP address provided is not valid or the host specified by the IP does not exist.
38	SOCK_NOSOCK	Invalid socket or not connected to remote.
48	SOCK_ADDRINUSE	The specified address is already in use.
49	SOCK_ADDRNOTAVAIL	The specified address is not available.
50	SOCK_NETDOWN	The connected network is not available.
51	SOCK_NETUNREACH	The connected network is not reachable.
52	SOCK_NETRESET	The connected network connection has been reset.
53	SOCK_CONNABORTED	The current connection has been aborted by the network or intermediate services.
54	SOCK_CONNRESET	The current socket connection has been reset.
57	SOCK_NOTCONN	The current socket has not been connected.
58	SOCK_SHUTDOWN	The connection has been shutdown.
60	SOCK_TIMEDOUT	The current connection has timedout.
61	SOCK_CONNREFUSED	The requested connection has been refused by the remote host.
63	SOCK_NAMETOOLONG	Specified host name is too long.
64	SOCK_HOSTDOWN	Remote host is currently unavailable.
65	SOCK_HOSTUNREACH	Remote host is currently unreachable.
91	SOCK_SYSNOTREADY	Remote system is not ready.
92	SOCK_VERNOTSUPPORTED	Current socket version not supported by application.
93	SOCK_NOTINITIALISED	Socket API is not initialized.
101	SOCK_DISCON	Socket has been disconnected.
110	SOCK_FTP_RESTART	A restart marker has been received from the remote host.
120	SOCK_FTP_SYS_DELAY	FTP service ready in nnn minutes.
125	SOCK_FTP_CONN_X	FTP data connection already open.
150	SOCK_FTP_FILEOK	FTP File status is okay.
200	SOCK_FTP_OK	FTP command is okay.
202	SOCK_FTP_CMD_IMP1	FTP command is not implemented
210	MAIL_NOCNCT	No mail connection available.
211	SOCK_FTP_SYS_STAT	Current FTP reply is a system status or system help reply.
211	MAIL_BADORIG	Originating email address is invalid.
212	SOCK_FTP_DIR_STAT	Current message is a directory status.
212	MAIL_BADDEST	Destination email address is invalid.
213	SOCK_FTP_FILE_STAT	Current message is an FTP file status.
213	MAIL_BADDOM	Domain name provided to SMTP is invalid.
214	SOCK_FTP_HELP_MSG	Current message is a help message.
214	MAIL_NODATA	Cannot send email data.
215	SOCK_FTP_SYS_NAME	FTP system type.
215	MAIL_NOEND	Cannot end the transmission of email.
216	MAIL_NOQUIT	Unable to end the email session.
217	MAIL_BADCC	CC address(es) are invalid.
220	SOCK_FTP_SVC_READY	FTP service ready for new user.
220	POP_NOCNCT	POP connection not available.
221	SOCK_FTP_SVC_CLOSING	FTP server closing control connection.
221	POP_NOSTAT	POP statistics unavailable.
222	POP_NOLIST	POP email list unavailable.
223	POP_INVUSER	Invalid POP account username.
224	POP_INVPASS	Invalid POP account password.
225	SOCK_FTP_CONN_NOX	No FTP connection.
225	POP_NOOFF	Unable to logoff of POP.
226	SOCK_FTP_CLOSE_CONN	FTP server closing data connection.
226	POP_NODEL	Unable to delete mail.
227	SOCK_FTP_PASSIVE	Passive Mode (h1,h2,h3,h4,p1,p2).
227	POP_NOGET	Unable to get mail.
228	POP_NOUNDEL	Unable to undelete mail.
229	POP_NOUIDL	Unable to retrieve UIDL information.
230	SOCK_FTP_LOGIN	Unable to log into FTP server.
250	SOCK_FTP_FILEACT_OK	Requested file action okay, completed.
257	SOCK_FTP_PATH_CREATE	"PATHNAME" created.
331	SOCK_FTP_PASS	Invalid FTP password.
332	SOCK_FTP_ACNT1	Invalid FTP account.
350	SOCK_FTP_FILE_WAIT	File action pending further information.
400	SOCK_NNTP_SVC_DISCNCT	Service disconnected.
411	SOCK_NNTP_NO_NWSGRP	No such newsgroup.
412	SOCK_NNTP_NO_SLCT_NWSGRP	No newsgroup selected for operation.
420	SOCK_NNTP_NO_ARTICLE	No current article has been selected.
421	SOCK_NNTP_NO_NXT_ARTICLE	No next article available in selected group.
421	SOCK_FTP_SVC_NOT_AVAIL	Service not available.
422	SOCK_NNTP_NO_PRV_ARTICLE	No previous article available in selected group.
423	SOCK_NNTP_NO_ARTICLE_NUM	No such article available in selected group.
425	SOCK_FTP_CONN_CLOSED	Cant open data connection.
426	SOCK_FTP_XFR_ABORT	Connection closed; transfer aborted.
430	SOCK_NNTP_NO_SCH_ARTICLE	No such article in selected group.
435	SOCK_NNTP_ARTICLE_NOTWNT	Article not wanted, do not send to server.
436	SOCK_NNTP_XFR_FAIL	Transfer failed, try again later.
437	SOCK_NNTP_ARTICLE_RJCT	Article rejected, do not resend.
440	SOCK_NNTP_NO_POST	Posting of articles not allowed.
441	SOCK_NNTP_POST_FAIL	Posting of the article has failed.
450	SOCK_FTP_FILE_BUSY	Requested file action not taken.
451	SOCK_FTP_LOCAL_ERROR	Local error in processing.
452	SOCK_FTP_INSUFF_SPC	Insufficient storage space in system.
500	SOCK_NNTP_CMD_SYNTAX	Syntax error, command unrecognized.
500	SOCK_FTP_CMD_SYNTAX	Syntax error, command unrecognized.
501	SOCK_NNTP_ARG_SYNTAX	Syntax error in arguments.
501	SOCK_FTP_ARG_SYNTAX	Syntax error in arguments.
502	SOCK_NNTP_NO_ACCESS	Access is restricted or denied.
502	SOCK_FTP_CMD_IMP2	FTP command not implemented.
503	SOCK_NNTP_FAULT	Program fault, operation not performed.
503	SOCK_FTP_BAD_SEQ	Bad FTP sequence.
504	SOCK_FTP_CMD_IMP3	FTP command not implemented.
530	SOCK_FTP_NOLOGIN	Not logged into remote host.
532	SOCK_FTP_ACNT2	Need account on remote host to store files.
550	SOCK_FTP_FNOT_FOUND	Requested action not taken.
551	SOCK_FTP_PAGE_UNK	Page type unknown.
552	SOCK_FTP_XEED_STOR	Exceeded storage allocation
553	SOCK_FTP_NAME_NOTALL	File name not allowed.
926	SOCK_FTP_INVFILE_HANDLE	Local file is invalid
927	SOCK_FTP_INVFILE	Local file is invalid
927	SOCK_SMTP_INVFILE	Local attachment file invalid
927	SOCK_POP_INVFILE	Local attachment file invalid
1001	SOCK_HOST_NOT_FOUND	Host not found
1002	SOCK_TRY_AGAIN	Not authorized, host not found
1003	SOCK_NO_RECOVERY	Non recoverable error
1004	SOCK_NO_DATA	No data available for request
1010	SOCK_GPH_NOFNAME	Query requires an output file.
1011	SOCK_GPH_NOEXEC	Unable to execute application.
1012	SOCK_NO_SND_DATA	Unable to send data
1013	SOCK_NO_CNCT_DATA	Unable to connect to remote
1100	SOCK_POP_INVATTACH	Invalid or unsupported attachment
11000	SYS_OPERATION_EXEC	Requested operation already being executed.  Retry the request or continue.